%define name		libpolyxmass
%define headerprefix	libpolyxmass
%define	version		0.9.1
%define release		%mkrel 1
%define url		http://www.polyxmass.org
%define mandir		%{_mandir}/man1
%define docpath		%{_datadir}/doc/%{name}

%define major 11
%define fakename polyxmass
%define libname %mklibname %{fakename} %major
%define libnamedev %mklibname %{fakename} %major -d

Name: %{name}
Version: %{version}
Summary: A library that's used by the GNU polyxmass framework
Release: %{release}
License: GPL
Group: Sciences/Chemistry
URL: %{url}
Source: %{url}/%{name}/downloads/%{name}-%{version}.tar.bz2
Buildrequires: docbook-utils pkgconfig glib2-devel libxml2-devel
BuildRoot: %{_tmppath}/%{name}-buildroot

%description 
libpolyxmass is a handy library of helper functions (source
files prefixed with "pxmutils-") and of polymer chemistry function
(source files prefixed with "pxmchem-"). This C library is designed to
provide a number of essential and/or useful functionalities which the
programs in the polyxmass(TM) mass spectrometry framework require.

%package -n %libname
Summary: A library that's used by the GNU polyxmass framework
Group: Sciences/Chemistry

%description -n %libname
libpolyxmass is a handy library of helper functions (source
files prefixed with "pxmutils-") and of polymer chemistry function
(source files prefixed with "pxmchem-"). This C library is designed to
provide a number of essential and/or useful functionalities which the
programs in the polyxmass(TM) mass spectrometry framework require.

%package -n %libnamedev
Summary: A library that's used by the GNU polyxmass framework
Group: Sciences/Chemistry
Provides: libpolyxmass-devel
Requires: %libname = %version

%description -n %libnamedev
libpolyxmass is a handy library of helper functions (source
files prefixed with "pxmutils-") and of polymer chemistry function
(source files prefixed with "pxmchem-"). This C library is designed to
provide a number of essential and/or useful functionalities which the
programs in the polyxmass(TM) mass spectrometry framework require.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
%find_lang lib%{fakename}
rm -rf $RPM_BUILD_ROOT%_docdir/

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -n %libname
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS COPYING INSTALL NEWS
%doc README THANKS TODO
%_libdir/*.so.*
%_mandir/man7/*

%files -n %libnamedev -f lib%{fakename}.lang
%defattr(-,root,root)
%_libdir/*.so
%_libdir/*.*a
%_libdir/pkgconfig/*
%{_includedir}/lib%{fakename}/*

%changelog
* Fri Jul 07 2006 Lenny Cartier <lenny@mandriva.com> 0.9.1-1mdv2007.0
- 0.9.1

* Wed May 24 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.9.0-3mdk
- fix buildrequires

* Thu May 11 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.9.0-2mdk
- fix buildrequires

* Wed Jan 25 2006 Lenny Cartier <lenny@mandriva.com> 0.9.0-1mdk
- 0.9.0
- move manpage in main package

* Sat Nov 26 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.8.7-2mdk
- fix update (#19032)

* Wed Apr 06 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.8.7-1mdk
- 0.8.7
- Patch0: libpolyxmass_doc2man.patch to use doc2man

* Sun Feb 6 2005 Austin Acton <austin@mandrake.org> 0.8.6-1mdk
- 0.8.6

* Mon Jan 31 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.8.5-1mdk
- 0.8.5

* Mon Jan 24 2005 Austin Acton <austin@mandrake.org> 0.8.4-1mdk
- 0.8.4

* Sun Dec 12 2004 Austin Acton <austin@mandrake.org> 0.8.3-1mdk
- 0.8.3
- fix summary
- major 3

* Sun Sep 26 2004 Austin Acton <austin@mandrake.org> 0.8.0-1mdk
- 0.8.0
- cleanups
- major 1

* Tue Jul 20 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.0.0-1mdk
- new
